import cv, cv2, os, string, time, sys
#import numpy, Image

tmp_image = '../tmp/tmp/tmp.tif'
tmp_db = '../tmp/tmp/tmp.tif.db'
tmp_lock = '../tmp/tmp/tmp.tif.lock'
tmp_letter = '../tmp/tmp/tmp.tif.letter'
tmp_click = '../tmp/tmp/tmp.tif.click'
tmp_ended = '../tmp/tmp/tmp.ended'

# ==== Functions
single_click = {'last_click' : 0, 'coord' : (-1,-1)}
class Zoom :
	def __init__(self) :
		self.zoom = 1
	def plus(self) :
		self.zoom += 1./3
	def minus(self) :
		if self.zoom > 1 :
			self.zoom -= 1./3
	def get_zoom(self) :
		return self.zoom
def is_click_over_button(click) :
	"""Returns a function instance if the user clicked on its associated button"""
	ret = None
	#print '-----------'
	#print click
	for key in d_buttons :
		r = d_buttons[key]['rect']
		#print r
		if r[0] < click[0] and r[1] < click[1] and r[2] > click[0]-r[0] and r[3] > click[1]-r[1] :
			#print "button: "+key
			ret = d_buttons[key]['inst']
	return ret
def on_mouse (event, x, y, flags, single_click):	# the callback
	if event == cv.CV_EVENT_LBUTTONDOWN:
		inst = is_click_over_button((x,y))
		if inst != None :
			inst()
		else :
			z = zoom.get_zoom()
			x = int(float(x)/z)		# Converting to initial coordinates
			y = int(float(y)/z)
			#print (x,y)
			f=open(tmp_click+'1', 'w')
			f.write('c %s %s' % (str(x), str(y)))
			f.close()
			os.rename(tmp_click+'1', tmp_click)
		single_click['last_click'] = time.time()
	if flags == cv.CV_EVENT_FLAG_LBUTTON and (time.time()-single_click['last_click'])>0.07:
		z = zoom.get_zoom()
		x = int(float(x)/z)
		y = int(float(y)/z)
		single_click['coord'] = (x,y)
		f=open(tmp_click+'1', 'w')
		f.write('m %s %s' % (str(x), str(y)))
		f.close()
		os.rename(tmp_click+'1', tmp_click)
	else :
		if single_click['coord'] != (-1, -1) :
			f=open(tmp_click+'1', 'w')
			f.write('m %s %s' % (str(-1), str(-1)))
			f.close()
			os.rename(tmp_click+'1', tmp_click)	
			single_click['coord'] = (-1, -1)
		else :
			pass

# ==== Main programe
# Zoom vars
zoom = Zoom()
plus = cv2.imread("plus.tif")
(s_x,s_y,s_c) = plus.shape
d_buttons = {'plus' : 
				{'image' : cv2.imread("plus.tif"),
				'inst' : zoom.plus,
				'rect' : [s_y, 0, 2*s_y, 2*s_x]},
			'minus' : 
				{'image' : cv2.imread("minus.tif"),
				'inst' : zoom.minus,
				'rect' : [0,0,s_y,s_x]}
			}


cv.NamedWindow ('Playback', cv.CV_WINDOW_AUTOSIZE)
cv.SetMouseCallback ('Playback', on_mouse, single_click)
print "DO NOT USE Ctrl-C to close this program, but hit ESCAPE"
print "Ctrl-C can lock all the display until cellTracking is restarted"
while 1 :
	locked = os.path.isfile(tmp_lock)
	if not locked and os.path.isfile(tmp_image):
		open(tmp_lock, 'w').close()				# Locking file
		im = cv2.imread(tmp_image)
		#tmp = Image.open(tmp_image)
		try :
			os.remove(tmp_lock)
		except :
			pass
		#im = cv.GetImage(cv.fromarray(numpy.array(tmp)))
		#cv.ShowImage('Playback', im)
		
		im=cv2.resize(im, (0,0),fx=zoom.get_zoom(),fy=zoom.get_zoom())	# Applying zoom
		(b_x, b_y, b_c) = im.shape
		if b_c == s_c :
			im[0:s_y, 0:s_x] = d_buttons['minus']['image']
			im[0:s_y, s_x:2*s_x] = d_buttons['plus']['image']
			d_buttons['minus']['rect'] = (0, 0, s_y, s_x)
			d_buttons['plus']['rect'] = (s_x, 0, s_y, s_x)
			
			# Update plus position
			
		else :
			print "Incoherent number of channels"
		#print zoom.get_zoom()
		cv2.imshow('Playback', im)
	key=cv.WaitKey(150)
	if chr(key&255) in string.letters :
		f=open(tmp_letter+'1', 'w')
		f.write(chr(key&255))
		f.close()
		os.rename(tmp_letter+'1', tmp_letter)
	if key==536870939 or key==27 or os.path.isfile(tmp_ended):
		break
		#sys.exit(1)	# Debug only (auto restart)
try :
	os.remove(tmp_lock)
except :
	pass
