{
	"desc" : "This is the alignemnt file, here goes all the instructions to generate aligned .csv files",
	"desc" : "NO COMMA AT THE END OF THE LAST ROW",
	"desc" : "Several parameters are required, here is the explanation for all the options",
	"desc" : "_output_folder : This folder will be created and everything will be saved in this folder, including a copy of this file. If the folder already exists, the program will ask for overwriting",
	"desc" : "_alignment_marker : The marker for the alignment, ideally, it should be defined for all the files, else, warnings will be raised",
	"desc" : "_frames_before_alignement : Number of frame before the alignement, -1 means frames that are common to all cells",
	"desc" : "_frames_after_alignment : Number of frames after the alignement, -1 means frames that are common to all cells",
	"desc" : "_na_value : Value used when frame value ios not available, N/A is usually fine",
	"desc" : "_path : list of export folders and a label, the export folder should contain the text file generated during the export (contains the cell index and the reference of the .ct file",
	"desc" : "_title : A line of text that will be added to the output movie",
	"desc" : "_shape : the shape of the mosaic (nb of rows, nb of columns)",
	"desc" : "_time_lapse : The time interval between two frames, in minutes, will be aligned on the alignment marker",
	"desc" : "_show_labels : 1 if the cell label should be displayed, 0 if not",
	
	"_show_labels" : 1,
	"_time_lapse" : 				5,
	"_output_folder" : 				"Hpattern4",
	"_alignment_marker" : 			"nebd",
	"_frames_before_alignment" : 	3,
	"_frames_after_alignment" : 	20,
	"_title" : "H pattern, NEBD alignment",
	"_shape" : [5,3],
	"_path" :	[	["H2-3",  "/home/maxime/Bureau/CellTracking_framework/exports/cells/export-H10/Bright Field (out of focus)-12--17-08-2012--11h40"],
					["H2-10", "/home/maxime/Bureau/CellTracking_framework/exports/cells/export-H10/Bright Field (out of focus)-14--17-08-2012--11h40"],
					["H2-10", "/home/maxime/Bureau/CellTracking_framework/exports/cells/exp-H2/Cherry-10--16-08-2012--23h07"],
					["H2-10", "/home/maxime/Bureau/CellTracking_framework/exports/cells/exp-H2/Cherry-10--16-08-2012--23h07"],
					["H2-10", "/home/maxime/Bureau/CellTracking_framework/exports/cells/exp-H2/Cherry-10--16-08-2012--23h07"],
					["H2-10", "/home/maxime/Bureau/CellTracking_framework/exports/cells/exp-H2/Cherry-10--16-08-2012--23h07"],
					["H2-10", "/home/maxime/Bureau/CellTracking_framework/exports/cells/exp-H2/Cherry-10--16-08-2012--23h07"],
					["H2-10", "/home/maxime/Bureau/CellTracking_framework/exports/cells/exp-H2/Cherry-10--16-08-2012--23h07"],
					["H2-10", "/home/maxime/Bureau/CellTracking_framework/exports/cells/exp-H2/Cherry-10--16-08-2012--23h07"]]
}
